Subject: Re: 5.10 LTS Kernel: 2 or 6 years?

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 22 Feb 2021 15:17:08 +0100

On Fri, Feb 19, 2021 at 09:44:23AM -0800, Florian Fainelli wrote:
> 
> 
> On 2/19/2021 7:53 AM, Greg Kroah-Hartman wrote:
> > On Fri, Feb 19, 2021 at 07:05:41AM -0800, Florian Fainelli wrote:
> >>
> >>
> >> On 2/19/2021 12:25 AM, Greg Kroah-Hartman wrote:
> >>> On Thu, Feb 18, 2021 at 12:16:50PM -0800, Scott Branden wrote:
> >>>> On 2021-02-18 10:36 a.m., Greg Kroah-Hartman wrote:
> >>>>> On Thu, Feb 18, 2021 at 07:20:50PM +0100, Willy Tarreau wrote:
> >>>>>> On Thu, Feb 18, 2021 at 06:53:56PM +0100, Greg Kroah-Hartman wrote:
> >>>>>>> On Thu, Feb 18, 2021 at 09:21:13AM -0800, Florian Fainelli wrote:
> >>>>>>>> As a company, we are most likely shooting ourselves in the foot by not
> >>>>>>>> having a point of coordination with the Linux Foundation and key people
> >>>>>>>> like you, Greg and other participants in the stable kernel.
> >>>>>>>
> >>>>>>> What does the LF have to do with this?
> >>>>>>>
> >>>>>>> We are here, on the mailing lists, working with everyone.  Just test the
> >>>>>>> -rc releases we make and let us know if they work or not for you, it's
> >>>>>>> not a lot of "coordination" needed at all.
> >>>>>>>
> >>>>>>> Otherwise, if no one is saying that they are going to need these for 6
> >>>>>>> years and are willing to use it in their project (i.e. and test it),
> >>>>>>> there's no need for us to maintain it for that long, right?
> >>>>>>
> >>>>>> Greg, please remember I expressed I really need them for slightly more than
> >>>>>> 3 years (say 3.5-4) :-) I'm fine with helping a bit more as time permits if
> >>>>>> this saves me from having to take over these kernels after you, like in the
> >>>>>> past, but I cannot engage on the regularity of my availability.
> >>>>>
> >>>>> Ok, great!
> >>>>>
> >>>>> That's one person/company saying they can help out (along with what CIP
> >>>>> has been stating.)
> >>>>>
> >>>>> What about others?  Broadcom started this conversation, odd that they
> >>>>> don't seem to want to help out :)
> >>>> Greg, I'm sorry but I'm not in a position to provide such a commitment.
> >>>
> >>> Ok, who at Broadcom do I need to talk to to get that type of commitment?
> >>
> >> I am not sure if I was too subtle before, we (Broadcom) cannot give you
> >> an unified voice to speak with because we are divided in silos/business
> >> units that make their independent decisions.
> > 
> > That's fine, I'm totally used to that, large (and even small) companies
> > always have different groups with different roadmaps and policies.
> > 
> >> The group I work in (STB/CM, different from Scott's) is committed to
> >> using the 5.10 kernel for 6 years and that is a decision that has been
> >> taken.
> > 
> > Great!  Will you all be testing the -rc releases and letting me know how
> > they work for your systems?
> 
> Yes I will, can you add me to your CC list for the stable candidates?
> That helps me not having to dig for those announcements specifically.

Now added.  Of course _after_ I just sent out a round of stable -rc
releases, sorry about that :(

greg k-h

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel